Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class FeeDomainHandler

    java.lang.Object
      com.verisign.epp.framework.EPPDomainHandler
          com.verisign.epp.serverstub.DomainHandler
              com.verisign.epp.serverstub.FeeDomainHandler

All Implemented Interfaces:
  EPPEventHandler

    public class FeeDomainHandler

extends DomainHandler

The `FeeDomainHandler` class is a concrete implementation of the abstract `com.verisign.epp.framework.EPPDomainHandler` class. It handles accepting commands in a server that supports more than one version of the fee extension. The version specific `FeeSubDomainHandler` is called based on the fee extension version passed or the set of login services provided by the client.

See Also:
  `EPPEvent`, `EPPEventResponse`

Constructor Summary
`FeeDomainHandler()`

Method Summary
`protected EPPEventResponse` | `doDomainCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Check command is received.
`protected EPPEventResponse` | `doDomainCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Create command is received.
`protected EPPEventResponse` | `doDomainDelete(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Delete command is received.
`protected EPPEventResponse` | `doDomainInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Info command is received.
`protected EPPEventResponse` | `doDomainRenew(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Renew command is received.
`protected EPPEventResponse` | `doDomainTransfer(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Transfer command is received.
`protected EPPEventResponse` | `doDomainUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Update command is received.

Methods inherited from class com.verisign.epp.serverstub.DomainHandler
`postHandleEvent, preHandleEvent`

Methods inherited from class com.verisign.epp.framework.EPPDomainHandler
`getNamespace, handleEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeeDomainHandler

    public FeeDomainHandler()

Method Detail

### doDomainCheck

    protected EPPEventResponse doDomainCheck(EPPEvent aEvent,
                                             java.lang.Object aData)

  Invoked when a Domain Check command is received.

  Overrides:
    `doDomainCheck` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDomainInfo

    protected EPPEventResponse doDomainInfo(EPPEvent aEvent,
                                            java.lang.Object aData)

  Invoked when a Domain Info command is received.

  Overrides:
    `doDomainInfo` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDomainCreate

    protected EPPEventResponse doDomainCreate(EPPEvent aEvent,
                                              java.lang.Object aData)

  Invoked when a Domain Create command is received.

  Overrides:
    `doDomainCreate` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDomainDelete

    protected EPPEventResponse doDomainDelete(EPPEvent aEvent,
                                              java.lang.Object aData)

  Invoked when a Domain Delete command is received.

  Overrides:
    `doDomainDelete` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDomainRenew

    protected EPPEventResponse doDomainRenew(EPPEvent aEvent,
                                             java.lang.Object aData)

  Invoked when a Domain Renew command is received.

  Overrides:
    `doDomainRenew` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDomainTransfer

    protected EPPEventResponse doDomainTransfer(EPPEvent aEvent,
                                                java.lang.Object aData)

  Invoked when a Domain Transfer command is received.

  Overrides:
    `doDomainTransfer` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDomainUpdate

    protected EPPEventResponse doDomainUpdate(EPPEvent aEvent,
                                              java.lang.Object aData)

  Invoked when a Domain Update command is received.

  Overrides:
    `doDomainUpdate` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.